删除 Workspace Connection
DELETE
/api/app/{app_slug}/workflow/connections/{connection_id}/
const url = 'https://api.agentaab.com/api/app/example/workflow/connections/example/';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.agentaab.com/api/app/example/workflow/connections/example/ \ --header 'Authorization: Bearer <token>'将 Connection 标记为已删除,并使 Workflow 执行无法再解析其凭据引用。重复已完成的删除会返回同一脱敏删除状态。
app_slug
必填
string
connection_id
必填
string
脱敏后的已删除 Connection 摘要。
媒体类型application/json
object
connection
必填
脱敏后的 Workspace Connection 状态。它包含服务端管理的引用和脱敏 Capability,绝不包含私有凭据材料。
object
id
必填
string
credential_ref
必填
物化的 v1 Tool 绑定使用的不透明服务端管理引用。
string
scope
必填
object
kind
必填
string
id
必填
string
provider
必填
string
display_name
必填
string
endpoint
必填
string format: uri
configuration
必填
禁止凭据形状字段的有界 Provider 配置。
object
key
附加属性
any
credential_mode
必填
string
cached_capabilities
必填
最近一次成功测试产生的脱敏有界 Capability 标记或 MCP Tool Manifest。
object
key
附加属性
any
status
必填
string
last_tested_at
必填
string format: date-time
last_error_code
必填
string
created_at
必填
string format: date-time
updated_at
必填
string format: date-time
rotated_at
必填
string format: date-time
deleted_at
必填
string format: date-time
示例
{ "connection": { "scope": { "kind": "creator" }, "provider": "web_search", "credential_mode": "bearer", "status": "active", "last_error_code": "workspace_connection_test_required" }}创作者 Session 缺失、无效、已过期,或没有经过验证的电子邮件。
媒体类型application/json
object
error
必填
string
code
必填
string
示例
{ "code": "creator_session_required"}Agent Business 的公开 Runtime 凭据不能访问创作者控制面 API。
媒体类型application/json
object
error
必填
string
code
必填
string
示例
{ "code": "runtime_token_not_allowed"}Workflow 或 Connection 不可用,或调用方无权修改。
Agent Business 不是 Workflow、创作者身份冲突,或并发的非删除 Connection Mutation 已先完成。
返回前已清理意外的 Workspace Connection 故障。
媒体类型application/json
object
error
必填
string
code
必填
string
示例
{ "code": "workspace_connection_failed"}配置的创作者身份服务在验证 Session 时失败。
媒体类型application/json
object
error
必填
string
code
必填
string
示例
{ "code": "creator_session_verification_failed"}创作者认证、控制面存储、Mutation 或权威 Connection 存储不可用。